org.h2.command.dml

## Class MergeUsing.When

- java.lang.Object
- - org.h2.command.dml.MergeUsing.When

Direct Known Subclasses:
  MergeUsing.WhenMatched, MergeUsing.WhenNotMatched

Enclosing class:
  MergeUsing

    public abstract static class MergeUsing.When
    extends java.lang.Object

Abstract WHEN command of the MERGE statement.

### Method Summary

Methods
`void` `setAndCondition(Expression andCondition)` Sets the specified AND condition.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### setAndCondition

    public void setAndCondition(Expression andCondition)

Sets the specified AND condition.

Parameters:
  `andCondition` - AND condition to set